apiVersion: projectcontour.io/v1
kind: HTTPProxy
metadata:
  name: basic
spec:
  virtualhost:
    fqdn: foo-basic.bar.com
  routes:
    - conditions:
        - prefix: /
      services:
        - name: s1
          port: 80
status:
  conditions:
  - errors:
      - message: 'Spec.Routes unresolved service reference: service "default/s1" not found'
        reason: ServiceUnresolvedReference
        status: "True"
        type: ServiceError
    lastTransitionTime: "2025-04-07T10:00:00Z"
    message: 'At least one error present, see Errors for details'
    observedGeneration: 1
    reason: ErrorPresent
    status: "False"
    type: Valid
  currentStatus: invalid
  description: 'At least one error present, see Errors for details'
  loadBalancer:
    ingress:
    - hostname: abc-123.elb.us-east-1.amazonaws.com
